<?php
/* 
Plugin Name: FW Kategorien Menüpunkt
Version: 2.0.1
Plugin URI: http://www.wieser.at/wordpress/plugins
Description: ein Fixer Menüpunkt in dem automatisch alle Kategorien als Submenü aufgeführt sind.
Author: Franz Wieser
Author URI: http://www.wieser.at
*/ 

add_filter( 'wp_nav_menu_items', 'franz_custom_menu_item', 10, 2 );

function franz_custom_menu_item ( $items, $args ) {
    if ($args->theme_location == 'primary') {
$categories = get_categories(''); 
$items .= '<li class="menu-item menu-item-type-taxonomy menu-item-object-category"><a href="#">Kategorien</a>';
$items.='<ul class="sub-menu" style="display: none;">';
  foreach ($categories as $category) {
        $items .= '<li class="menu-item menu-item-type-taxonomy menu-item-object-category"><a href="' . get_category_link( $category->term_id ) . '">'.$category->name.'</a></li>';
}
$items.='</ul></li>';
    }
    return $items;
}


